Skip to main content
GET
/
v1
/
process
List process
curl --request GET \
  --url https://api.example.com/v1/process
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "label": "<string>",
      "iconName": "<string>",
      "orgId": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>",
      "steps": [
        {
          "id": "<string>",
          "label": "<string>",
          "description": "<string>",
          "prompt": "<string>",
          "processId": "<string>",
          "tokenIds": [
            "<string>"
          ],
          "policyNames": [
            "<string>"
          ],
          "roles": [
            {
              "p": "<string>",
              "r": [
                "<string>"
              ]
            }
          ],
          "orderedPolicies": [
            "<string>"
          ],
          "viewPolicyNames": [
            "<string>"
          ],
          "routing": {
            "entityParamName": "<string>",
            "entityId": "<string>",
            "rules": [
              {
                "value": "<string>",
                "stepId": "<string>"
              }
            ]
          },
          "webhookUrls": "<string>",
          "legalContractId": "<string>",
          "frequency": "<string>",
          "deadline": "<string>",
          "deadlineType": "<string>",
          "frequencyDate": "<string>",
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "deletedAt": "<string>",
          "stepIdsReprovalDependencies": [
            "<string>"
          ],
          "stepIdsDependencies": [
            "<string>"
          ]
        }
      ],
      "code": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "lastPage": 123,
    "currentPage": 123,
    "perPage": 123,
    "prev": 123,
    "next": 123
  }
}

Query Parameters

page
string
pageLimit
string
type
string
containsType
string

Response

200 - application/json

ok

data
object[]
meta
object